# DaprProtos.QueryStateRequest.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.QueryStateRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>
      - - io.dapr.v1.DaprProtos.QueryStateRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.QueryStateRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.QueryStateRequest

    public static final class DaprProtos.QueryStateRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>
    implements DaprProtos.QueryStateRequestOrBuilder

     QueryStateRequest is the message to query state store.

Protobuf type `dapr.proto.runtime.v1.QueryStateRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`DaprProtos.QueryStateRequest.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.QueryStateRequest` `build()`
`DaprProtos.QueryStateRequest` `buildPartial()`
`DaprProtos.QueryStateRequest.Builder` `clear()`
`DaprProtos.QueryStateRequest.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.QueryStateRequest.Builder` `clearMetadata()`
`DaprProtos.QueryStateRequest.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.QueryStateRequest.Builder` `clearQuery()` The query in JSON format.
`DaprProtos.QueryStateRequest.Builder` `clearStoreName()` The name of state store.
`DaprProtos.QueryStateRequest.Builder` `clone()`
`boolean` `containsMetadata​(String key)` The metadata which will be sent to state store components.
`DaprProtos.QueryStateRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` The metadata which will be sent to state store components.
`Map<String,​String>` `getMetadataMap()` The metadata which will be sent to state store components.
`String` `getMetadataOrDefault​(String key, String defaultValue)` The metadata which will be sent to state store components.
`String` `getMetadataOrThrow​(String key)` The metadata which will be sent to state store components.
`Map<String,​String>` `getMutableMetadata()` Deprecated.
`String` `getQuery()` The query in JSON format.
`com.google.protobuf.ByteString` `getQueryBytes()` The query in JSON format.
`String` `getStoreName()` The name of state store.
`com.google.protobuf.ByteString` `getStoreNameBytes()` The name of state store.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`protected com.google.protobuf.MapField` `internalGetMutableMapField​(int number)`
`boolean` `isInitialized()`
`DaprProtos.QueryStateRequest.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.QueryStateRequest.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.QueryStateRequest.Builder` `mergeFrom​(DaprProtos.QueryStateRequest other)`
`DaprProtos.QueryStateRequest.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.QueryStateRequest.Builder` `putAllMetadata​(Map<String,​String> values)` The metadata which will be sent to state store components.
`DaprProtos.QueryStateRequest.Builder` `putMetadata​(String key, String value)` The metadata which will be sent to state store components.
`DaprProtos.QueryStateRequest.Builder` `removeMetadata​(String key)` The metadata which will be sent to state store components.
`DaprProtos.QueryStateRequest.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.QueryStateRequest.Builder` `setQuery​(String value)` The query in JSON format.
`DaprProtos.QueryStateRequest.Builder` `setQueryBytes​(com.google.protobuf.ByteString value)` The query in JSON format.
`DaprProtos.QueryStateRequest.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.QueryStateRequest.Builder` `setStoreName​(String value)` The name of state store.
`DaprProtos.QueryStateRequest.Builder` `setStoreNameBytes​(com.google.protobuf.ByteString value)` The name of state store.
`DaprProtos.QueryStateRequest.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>`

#### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField​(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>`

#### clear

    public DaprProtos.QueryStateRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.QueryStateRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.QueryStateRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.QueryStateRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.QueryStateRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>`

#### setField

    public DaprProtos.QueryStateRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                         Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>`

#### clearField

    public DaprProtos.QueryStateRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>`

#### clearOneof

    public DaprProtos.QueryStateRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>`

#### setRepeatedField

    public DaprProtos.QueryStateRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                 int index,
                                                                 Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>`

#### addRepeatedField

    public DaprProtos.QueryStateRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                 Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>`

#### mergeFrom

    public DaprProtos.QueryStateRequest.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.QueryStateRequest.Builder>`

#### mergeFrom

    public DaprProtos.QueryStateRequest.Builder mergeFrom​(DaprProtos.QueryStateRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>`

#### mergeFrom

    public DaprProtos.QueryStateRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.QueryStateRequest.Builder>`
Throws:
  `IOException`

#### getStoreName

    public String getStoreName()

     The name of state store.

`string store_name = 1 [json_name = "storeName"];`

Specified by:
  `getStoreName` in interface `DaprProtos.QueryStateRequestOrBuilder`
Returns:
  The storeName.

#### getStoreNameBytes

    public com.google.protobuf.ByteString getStoreNameBytes()

     The name of state store.

`string store_name = 1 [json_name = "storeName"];`

Specified by:
  `getStoreNameBytes` in interface `DaprProtos.QueryStateRequestOrBuilder`
Returns:
  The bytes for storeName.

#### setStoreName

    public DaprProtos.QueryStateRequest.Builder setStoreName​(String value)

     The name of state store.

`string store_name = 1 [json_name = "storeName"];`

Parameters:
  `value` - The storeName to set.
Returns:
  This builder for chaining.

#### clearStoreName

    public DaprProtos.QueryStateRequest.Builder clearStoreName()

     The name of state store.

`string store_name = 1 [json_name = "storeName"];`

Returns:
  This builder for chaining.

#### setStoreNameBytes

    public DaprProtos.QueryStateRequest.Builder setStoreNameBytes​(com.google.protobuf.ByteString value)

     The name of state store.

`string store_name = 1 [json_name = "storeName"];`

Parameters:
  `value` - The bytes for storeName to set.
Returns:
  This builder for chaining.

#### getQuery

    public String getQuery()

     The query in JSON format.

`string query = 2;`

Specified by:
  `getQuery` in interface `DaprProtos.QueryStateRequestOrBuilder`
Returns:
  The query.

#### getQueryBytes

    public com.google.protobuf.ByteString getQueryBytes()

     The query in JSON format.

`string query = 2;`

Specified by:
  `getQueryBytes` in interface `DaprProtos.QueryStateRequestOrBuilder`
Returns:
  The bytes for query.

#### setQuery

    public DaprProtos.QueryStateRequest.Builder setQuery​(String value)

     The query in JSON format.

`string query = 2;`

Parameters:
  `value` - The query to set.
Returns:
  This builder for chaining.

#### clearQuery

    public DaprProtos.QueryStateRequest.Builder clearQuery()

     The query in JSON format.

`string query = 2;`

Returns:
  This builder for chaining.

#### setQueryBytes

    public DaprProtos.QueryStateRequest.Builder setQueryBytes​(com.google.protobuf.ByteString value)

     The query in JSON format.

`string query = 2;`

Parameters:
  `value` - The bytes for query to set.
Returns:
  This builder for chaining.

#### getMetadataCount

    public int getMetadataCount()

Description copied from interface: `DaprProtos.QueryStateRequestOrBuilder`

     The metadata which will be sent to state store components.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataCount` in interface `DaprProtos.QueryStateRequestOrBuilder`

#### containsMetadata

    public boolean containsMetadata​(String key)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 3;`

Specified by:
  `containsMetadata` in interface `DaprProtos.QueryStateRequestOrBuilder`

#### getMetadata

    @Deprecated
    public Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprProtos.QueryStateRequestOrBuilder`

#### getMetadataMap

    public Map<String,​String> getMetadataMap()

     The metadata which will be sent to state store components.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataMap` in interface `DaprProtos.QueryStateRequestOrBuilder`

#### getMetadataOrDefault

    public String getMetadataOrDefault​(String key,
                                       String defaultValue)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataOrDefault` in interface `DaprProtos.QueryStateRequestOrBuilder`

#### getMetadataOrThrow

    public String getMetadataOrThrow​(String key)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataOrThrow` in interface `DaprProtos.QueryStateRequestOrBuilder`

#### clearMetadata

    public DaprProtos.QueryStateRequest.Builder clearMetadata()

#### removeMetadata

    public DaprProtos.QueryStateRequest.Builder removeMetadata​(String key)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 3;`

#### getMutableMetadata

    @Deprecated
    public Map<String,​String> getMutableMetadata()

Deprecated.
Use alternate mutation accessors instead.

#### putMetadata

    public DaprProtos.QueryStateRequest.Builder putMetadata​(String key,
                                                            String value)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 3;`

#### putAllMetadata

    public DaprProtos.QueryStateRequest.Builder putAllMetadata​(Map<String,​String> values)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 3;`

#### setUnknownFields

    public final DaprProtos.QueryStateRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>`

#### mergeUnknownFields

    public final DaprProtos.QueryStateRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.QueryStateRequest.Builder>`